import { BundledTheme } from 'shiki';
/**
 * Custom hook to use the Shiki highlighter.
 * @returns {Object} An object containing the highlighted code and the highlightCode function.
 */
export declare function useHighlighter(): {
    highlightedCode: import("vue").Ref<string>;
    highlightCode: (codeContent: string, themes: {
        light: BundledTheme;
        dark: BundledTheme;
    }) => Promise<void>;
};
/**
 * Observes changes to the preview-content element and executes scripts within it.
 */
export declare function executeScriptsTick(): void;
